package jp.agentec.abook.abv.bl.dto;


public class ContentResourceDto extends AbstractDto {
	public long contentId;
	public String subDirectory;
	public String resourceFileName;
	public String hashedFileName;
	public byte[] hashedFileHeader;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{contentId, subDirectory, resourceFileName, hashedFileName, hashedFileHeader};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{subDirectory, hashedFileName, hashedFileHeader, contentId, resourceFileName};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ contentId, resourceFileName};
	}
}
